## org.omg.DynamicAny
Class AnySeqHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.AnySeqHelper

public class AnySeqHelper
extends java.lang.Object

Helper class for : AnySeq

Author:
  OpenORB Compiler

Constructor Summary
`AnySeqHelper()`

Method Summary
`static Any[]` `extract(Any a)` Extract AnySeq from an any
`static java.lang.String` `id()` Return the AnySeq IDL ID
`static void` `insert(Any a, Any[] t)` Insert AnySeq into an any
`static Any[]` `read(InputStream istream)` Read AnySeq from a marshalled stream
`static TypeCode` `type()` Return the AnySeq TypeCode
`static void` `write(OutputStream ostream, Any[] value)` Write AnySeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnySeqHelper

    public AnySeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Any[] t)

  Insert AnySeq into an any
  Parameters:
    `a` - an any
    `t` - AnySeq value

### extract

    public static Any[] extract(Any a)

  Extract AnySeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AnySeq value

### type

    public static TypeCode type()

  Return the AnySeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AnySeq IDL ID
  Returns:
    an ID

### read

    public static Any[] read(InputStream istream)

  Read AnySeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AnySeq value

### write

    public static void write(OutputStream ostream,
                             Any[] value)

  Write AnySeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AnySeq value